GraphQL / Object Interface Related Structures.| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| tangibleList | yes | []string | List of tangible IDs |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error details |
| result | no | MsgResBulkObjectInfo | Returns the new object |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| tangibleId | yes | string | Tangible ID |
| objectInfo | yes | []ObjectInfo | List of bound objects. The field to be returned should be specified in the request code segment. |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: 92575d36dcb631ac94745e6b157de17a5a13d65b31e44869f06854ab928dd80235d4daae8696b4a92a7be5f802c45a219648701fc9ca59f44e9c0f022d5d38a7' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "query bulkGetObjectByTangible { bulkGetObjectByTangible(input: { tangibleIdList: [\"abcdefg190872\", \"abcdefg190871\"] }) { errorCode errorInfo result { tangibleId objectInfo { objectId objectName objectType } } } }"
}'{
"data": {
"bulkGetObjectByTangible": {
"errorCode": "0x0",
"errorInfo": "Succ",
"result": [
{
"tangibleId": "abcdefg190872",
"objectInfo": null
},
{
"tangibleId": "abcdefg190871",
"objectInfo": null
}
]
}
}
}